<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="11000"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="Y">
        <Header Description="メインプログラム" ISN_2="1" LastIsn="1" id="1">
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <ReturnValueAttr/>
            <ParametersAttributes/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="B"/>
          <External val="N"/>
          <FormType val="N"/>
          <DotNetObjectExists val="N"/>
          <LastModified _date="734018" _time="41671" date="2010/09/03" time="11:34:31"/>
        </Header>
        <ItemIsn val="7"/>
        <Resource>
          <Columns>
            <Column id="2" name="S.SYSバージョン">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="3"/>
                <_Dec id="181"/>
                <_Whole id="182" val="3"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="3" name="S.DBバージョン">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="3"/>
                <_Dec id="181"/>
                <_Whole id="182" val="3"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="4" name="S.PGバージョン">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="3"/>
                <_Dec id="181"/>
                <_Whole id="182" val="3"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="6" name="S.SSID">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA" comp="-1" id="1" obj="1"/>
                <StoredAs id="173" val="1"/>
                <DbColumnName id="178"/>
                <Type id="179"/>
                <UserType id="180"/>
              </PropertyList>
            </Column>
            <Column id="7" name="S.結果">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="10"/>
                <_Dec id="181"/>
                <_Whole id="182" val="10"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="9" name="S.フォントNo">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="3"/>
                <_Dec id="181"/>
                <_Whole id="182" val="3"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="10" name="S.エラーコード">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="3"/>
                <_Dec id="181"/>
                <_Whole id="182" val="3"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="10"/>
        </Resource>
        <Information>
          <Key>
            <Mode val="N"/>
          </Key>
          <DB comp="-1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="N"/>
          <EvaluateEndCondition val="I"/>
          <InitialMode val="E"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="R"/>
            <LockingStrategy val="M"/>
            <CacheStrategy val="N"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="N"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="N"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="N"/>
            <AllowQuery val="Y"/>
            <AllowModify val="N"/>
            <AllowCreate val="N"/>
            <AllowDelete val="N"/>
            <AllowLocate val="N"/>
            <AllowRange val="N"/>
            <AllowIndexChange val="N"/>
            <AllowSorting val="N"/>
            <AllowIOFiles val="N"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="N"/>
            <AllowIndexOptimization val="N"/>
            <AllowLocationInQuery val="N"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="N"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <TaskLogic>
          <LogicUnit id="1" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="-1"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="7"/>
            <_TotalVirtuals val="7"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <Select FieldID="1" FlowIsn="1" id="1">
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="2" FlowIsn="2" id="2">
                  <Column val="2"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="3" FlowIsn="3" id="3">
                  <Column val="3"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="4">
                  <Type val="0"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="4" FlowIsn="5" id="4">
                  <Column val="4"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="5" FlowIsn="6" id="5">
                  <Column val="5"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="7">
                  <Type val="0"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="6" FlowIsn="8" id="6">
                  <Column val="6"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="7" FlowIsn="9" id="7">
                  <Column val="7"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="2" propagate="78">
            <Level val="T"/>
            <Type val="P"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="4"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <Update FlowIsn="10">
                  <FieldID val="1"/>
                  <WithValue val="1"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="11">
                  <FieldID val="2"/>
                  <WithValue val="2"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="12">
                  <FieldID val="3"/>
                  <WithValue val="3"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="13">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="14">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="7"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="1"/>
                      <Variable val="4"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="15">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="16">
                  <Type val="2"/>
                  <Text val="//作業用フォルダ作成"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="27" EndBlockSegment="27" FlowIsn="17" Type="I">
                  <Condition Exp="8"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="18">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="19">
                  <Type val="2"/>
                  <Text val="//作業フォルダの存在を確認し、存在しない場合のみ作成する。"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Invoke FlowIsn="20">
                  <OperationType val="U"/>
                  <TaskID comp="-1" obj="9"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="2"/>
                      <Expression val="10"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="3"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="4"/>
                      <Expression val="14"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="5"/>
                      <Expression val="14"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="6"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="7"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="8"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="9"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="10"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="11"/>
                      <Expression val="13"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="12"/>
                      <Variable val="5"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Convention val="S"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Invoke>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="21">
                  <FieldID val="5"/>
                  <WithValue val="12"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="11"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="22">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="23">
                  <FieldID val="5"/>
                  <WithValue val="4"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="24">
                  <FieldID val="6"/>
                  <WithValue val="5"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="25">
                  <FieldID val="6"/>
                  <WithValue val="6"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="7"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="26">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="27"/>
              </LogicLine>
              <LogicLine>
                <CallTask FlowIsn="28">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="6"/>
                  <Lock val="N"/>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="29">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="3" propagate="78">
            <Level val="T"/>
            <Type val="S"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="14"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <CallTask FlowIsn="30">
                  <OperationType val="P"/>
                  <TaskID comp="-1" obj="35"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="13"/>
                      <Skip val="Y"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Condition Exp="8"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </CallTask>
              </LogicLine>
              <LogicLine>
                <Evaluate FlowIsn="31">
                  <Expression val="15"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Evaluate>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry id="1">
            <PropertyList model="FORM_GUI0">
              <Left id="21"/>
              <Top id="22"/>
              <Width id="23" val="320"/>
              <Height id="24" val="200"/>
              <SystemMenu id="27"/>
              <MinimizeButton id="28"/>
              <MaximizeButton id="29"/>
              <FormUnits id="33" val="1"/>
              <VerticalFactor id="34" val="8"/>
              <HorizontalFactor id="35" val="4"/>
              <_Comment id="218"/>
              <FormName id="311" valUnicode="メインプログラム"/>
              <_TabbingOrder id="318" val="1"/>
              <WindowType id="358" val="1"/>
              <UserStateIdentifier id="437"/>
            </PropertyList>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="1"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="2">
            <ExpSyntax val="0"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="3">
            <ExpSyntax val="0"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="4">
            <ExpSyntax val="UDF ('Mgtools.mgMakeDir',Trim(Translate('%GCHOME%\TMP\'))&amp;Trim({0,4}))"/>
            <ExpAttribute val="*"/>
          </Expression>
          <Expression id="5">
            <ExpSyntax val="Val(INIGet('[MAGIC_LOGICAL_NAMES]GCFONTNO'),'3')"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="6">
            <ExpSyntax val="1"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="7">
            <ExpSyntax val="{0,6}=0"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="8">
            <ExpSyntax val="INIGet('[MAGIC_LOGICAL_NAMES]GCHOME')&lt;>''"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="9">
            <ExpSyntax val="'MgTools.mgFindFirst'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="10">
            <ExpSyntax val="Trim(Translate('%GCHOME%\TMP'))"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="11">
            <ExpSyntax val="{0,5}&lt;>0"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="12">
            <ExpSyntax val="UDF ('Mgtools.mgMakeDir',Trim(Translate('%GCHOME%\TMP')))"/>
            <ExpAttribute val="*"/>
          </Expression>
          <Expression id="13">
            <ExpSyntax val="''"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="14">
            <ExpSyntax val="0"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="15">
            <ExpSyntax val="FileDelete(Translate('%WorkingDir%')&amp;'errMsg_'&amp;Trim({0,4})&amp;'.html')"/>
            <ExpAttribute val="B"/>
          </Expression>
        </Expressions>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
